Support » Plugin: BP Group Documents » Warning: count

  • Resolved micadito

    (@micadito)


    I have a problem with the plugin, when I install it, I upload a file and I get this error message.
    Warning: count(): Parameter must be an array or an object that implements Countable in C:\Xampp\htdocs\hazdelictores\wp-content\plugins\bp-group-documents\templates\groups\single\documents.php on line 53
    Warning: count(): Parameter must be an array or an object that implements Countable in C:\Xampp\htdocs\hazdelictores\wp-content\plugins\bp-group-documents\templates\groups\single\documents.php on line 73

    The line 53
    <?php if ( $template->document_list && count($template->document_list >= 1) ) { ?>
    The line 73
    <?php if ( $template->document_list && count($template->document_list >= 1) ) { ?>

    • This topic was modified 1 year, 7 months ago by micadito.
Viewing 3 replies - 1 through 3 (of 3 total)
  • I am having the same error. I am using the KLEO theme if that helps.

    I am afraid the author is very busy (as can happen to all of us). I am very new to php, wordpress and all but I think brackets are missing. This is what I think it should be.

    I had to download the file, make the changes and upload again and it was fixed. Please consider this is coming from someone who knows very little about what I am doing. I hope I have done the write thing here.

    <?php if ( $template->document_list && (count($template->document_list) >= 1) ) { ?>
    The line 73
    <?php if ( $template->document_list && (count($template->document_list) >= 1) ) { ?>

    Plugin Author lenasterg

    (@lenasterg)

    Hi.
    Thanks for your patience.Fixed in version 1.12.3

    Lena

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Warning: count’ is closed to new replies.